> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nexrex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 分頁

> 清單端點如何對結果進行分頁。

清單端點接受兩個查詢參數：

| 參數       | 預設值 | 最大值 | 說明      |
| -------- | --- | --- | ------- |
| `limit`  | 50  | 100 | 回傳的項目數量 |
| `offset` | 0   | —   | 跳過的項目數量 |

```bash theme={null}
curl "https://api.nexrex.ai/api/v1/developer/v1/athletes?limit=25&offset=50" \
  -H "Authorization: Bearer nrx_prod_your_key_here"
```

運動員名單回應包含 `total`，讓你可以分頁至完成：

```json theme={null}
{
  "success": true,
  "data": {
    "athletes": [ /* … */ ],
    "total": 132,
    "limit": 25,
    "offset": 50
  }
}
```

每次將 `offset` 增加 `limit` 的值，直到 `offset + limit >= total`。

<Note>
  活動清單以 `athlete_id` 和日期範圍為範圍，而非依據總計數。
  請透過遞增 `offset` 直到某頁回傳少於 `limit` 個項目來進行分頁，
  或縮小 `start_date` / `end_date` 的時間窗口。
</Note>

`limit` 或 `offset` 為非整數時，回傳 `400` 及代碼 `validation_error`。
`limit` 最大值為 100。
